<?php

require_once('../../config.php');
require_once ('entity/block_mahara_iena_connexion.php');

global $COURSE, $DB, $USER, $CFG;

$courseid = required_param('courseid', PARAM_INT);
$studentid = optional_param('studentid',$USER->id,PARAM_INT);
$url = new moodle_url('/blocks/mahara_iena/mahara_iena.php',array('courseid' => $courseid, 'studentid' => $studentid));

$PAGE->set_pagelayout('course');
$PAGE->set_url($url);

$course = $DB->get_record('course', array('id'=>$courseid), '*', MUST_EXIST);
require_login($course, false, NULL);

if (!has_capability('moodle/course:update', $context = context_course::instance($courseid), $USER->id)) {
	header("Location: {$_SERVER['HTTP_REFERER']}");
	exit;
}

$PAGE->set_title(get_string('title_plugin', 'block_mahara_iena', $CFG->mahara_alias));
$PAGE->set_heading($OUTPUT->heading($COURSE->fullname, 2, 'headingblock header outline'));
echo $OUTPUT->header();
// echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"styles.css\">";

$connexion = new block_mahara_iena_connexion($CFG->wstoken,$CFG->base_mahara);
//Get all students
$course_ctx = context_course::instance($course->id);
$students = get_enrolled_users($course_ctx);

$usersTab = array();


//Here we check by email, if the student have the same email into mahara and moodle he is add to group
if (count($students) == 0) {
	echo "<div class=\"alert alert-warning\" role=\"alert\">"
	.get_string('err_no_stud', 'block_mahara_iena', $CFG->mahara_alias)
	."</div>";
} else {

	// Build user array to pass to mahara api for group inscription
	// WARNING : not efficient with to much users in mahara databases
	// $maharaUsers = $connexion->getMaharaUsers();
	// foreach ($maharaUsers->users as $muser) {
	// 	foreach ($students as $student) {
	// 		if ($student->email == $muser->email){
	// 			$role = "member";
	// 			// Each teacher will be mahara group admin
	// 			if (has_capability('moodle/course:update', $context = context_course::instance($COURSE->id), $student->id)) {
	// 				$role = "admin";
	// 			}
	// 			array_push($usersTab,array(
	// 				'id' => $muser->id,
	// 				'username' => $muser->username,
	// 				'role' => $role,
	// 			));
	// 			break;
	// 		}
	// 	}
	// }

	// WARNING : don't try to subscribe every course user to the group with >1000 users in mahara. Juste teacher. Minus 1 user is required to create a group. 
	// get mahara user by mail (teacher)
	$mahara_user = $connexion->get_mahara_user_by_mail($USER->email);
	// if user is not a mahara user, there will be an error : it's not supposed to be because mahara account is checked before to have a button to go in this page but... but.
	if ( isset($mahara_user->error) ) {
		echo "<p style='color: red;'>You must have a Mahara account to do that.</p>";
		die;
	} else {
		array_push($usersTab,array(
			'id' => $mahara_user[0]->id,
			'username' => $mahara_user[0]->username,
			'role' => "admin",
		));
	}

	//All params used for mahara_group_create_groups her we can add/change some lines
	$params = array (
		'groups' =>
		array (
			0 =>
			array (
				'name' => get_string('course_group', 'block_mahara_iena') . " " . $COURSE->shortname,
				'description' => get_string('course_group', 'block_mahara_iena') . " " . $COURSE->shortname,
				'grouptype' => 'course',
				'request' => true,
				'public' => false,
				'institution' => $CFG->instution_mahara,
				'members' => $usersTab
			)
		)
	);
	//Convert arrays into string for send to mahara api
	$params = http_build_query($params);
	$function = "mahara_group_create_groups";

	$resultPost = $connexion->httpPost($params, $connexion->create_url($function));

	// '@' is use because json_decode some time cause fatal error
	$data = @json_decode($resultPost);
	$result = $DB->get_records_sql('SELECT * FROM {block_mahara_iena} WHERE course = ?', array($COURSE->id));
	// IF json_decode fail we stop all
	if ($data == null){
		echo 'error';
	} else {
		// if $data is array the api call is done (OK)
		if (is_array($data)) {
			// if the query is empty we add new line
			if (!$result) {
				$record = new stdClass();
				$record->course = $COURSE->id;
				$record->mahara_group_id = $data[0]->id;
				$record->moodle_group_id = 0;
				$r = $DB->insert_record('block_mahara_iena',$record,false);
				if ( substr($CFG->base_mahara, -1) !== "/" ) {
					$base = $CFG->base_mahara . "/";
				} else {
					$base = $CFG->base_mahara;
				}
				echo "<div class=\"alert alert-success\" role=\"alert\">"
				.get_string('this_grp', 'block_mahara_iena', $CFG->mahara_alias)." "
				.$COURSE->shortname." "
				.get_string('just_add_grp', 'block_mahara_iena')." "
				."<a target=\"_blank\" href='".$base."group/view.php?id=".$data[0]->id."'>"
				.get_string('mahara_grp', 'block_mahara_iena', $CFG->mahara_alias)."</a></div>";
			}
			// If the query is not empty we leave the choice to set the "code" value
		} elseif ($data->error) {
			echo "<div class=\"alert alert-danger\" role=\"alert\"> ".get_string('error', 'block_mahara_iena').$data->error_message."</div>";
		}
	}
}
echo "<p><a href=\"".$CFG->wwwroot."/course/view.php?id=".$COURSE->id." \" class=\"btn btn-primary\" role=\"button\">".get_string('back_course', 'block_mahara_iena')."</a></p>";

echo $OUTPUT->footer();
