<?php

require_once('../../config.php');
require_once ('entity/block_mahara_iena_connexion.php');

global $COURSE, $DB, $USER, $CFG;

$courseid = required_param('courseid', PARAM_INT);
$studentid = optional_param('studentid',$USER->id,PARAM_INT);
$url = new moodle_url('/blocks/mahara_iena/mahara_iena_groups.php',array('courseid' => $courseid, 'studentid' => $studentid));

$PAGE->set_pagelayout('course');
$PAGE->set_url($url);

$course = $DB->get_record('course', array('id'=>$courseid), '*', MUST_EXIST);
require_login($course, false, NULL);

if (!has_capability('moodle/course:update', $context = context_course::instance($courseid), $USER->id)) {
	header("Location: {$_SERVER['HTTP_REFERER']}");
	exit;
}

$PAGE->set_title(get_string('title_plugin', 'block_mahara_iena', $CFG->mahara_alias));
$PAGE->set_heading($OUTPUT->heading($COURSE->fullname, 2, 'headingblock header outline'));
echo $OUTPUT->header();
echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"styles.css\">";

$connexion = new block_mahara_iena_connexion($CFG->wstoken,$CFG->base_mahara);
//Get all students
$course_ctx = context_course::instance($course->id);
$students = get_enrolled_users($course_ctx);

if (count($students) == 0) {
	echo "<div class=\"alert alert-warning\" role=\"alert\">"
	.get_string('err_no_stud', 'block_mahara_iena', $CFG->mahara_alias)
	."</div>";
} else {

	$groups = groups_get_all_groups($COURSE->id);
	// $maharaUsers = $connexion->getMaharaUsers();
	$mahara_groups = array();
	$name_groups = array();

	$user_group_ids = groups_get_user_groups($COURSE->id, $USER->id)[0];

	foreach ($groups as $group) {

		// if current group id is not in USER group ids : skip this group
		if ( !in_array($group->id, $user_group_ids) ) {
			continue;
		}

		$usersTab = array();

		// Subscribe only the teacher to the mahara group because of lake of efficiency with too big mahara user database (>1000)
		// get mahara user by mail (teacher)
		$mahara_user = $connexion->get_mahara_user_by_mail($USER->email);
		// if user is not a mahara user, there will be an error : it's not supposed to be because mahara account is checked before to have a button to go in this page but... but.
		if ( isset($mahara_user->error) ) {
			echo "<p style='color: red;'>You must have a Mahara account to do that.</p>";
			die;
		} else {
			array_push($usersTab,array(
				'id' => $mahara_user[0]->id,
				'username' => $mahara_user[0]->username,
				'role' => "admin",
			));
		}

		if ( count($usersTab) == 0 ) {
			continue;
		}

		array_push($mahara_groups, array(
			'name' => get_string('course_group', 'block_mahara_iena') . " " . $COURSE->shortname . " – " . $group->name,
			'description' => get_string('course_group', 'block_mahara_iena') . " " . $COURSE->shortname . " – " . $group->name,
			'grouptype' => 'course',
			'request' => true,
			'public' => false,
			'institution' => $CFG->instution_mahara,
			'members' => $usersTab
		));

		array_push($name_groups, array(
			"group_id" => $group->id,
			"group_name" => get_string('course_group', 'block_mahara_iena') . " " . $COURSE->shortname . " – " . $group->name,
		));
	}

	if ( count($mahara_groups) == 0 ) {
		echo "<div class=\"alert alert-warning\" role=\"alert\"><p><strong>Erreur : vous devez faire partie d'au moins un groupe de ce cours. Inscrivez-vous dans un groupe puis recommencez.</p></div>";
	} else {

		$params = array(
			'groups' => $mahara_groups
		);
		$params = http_build_query($params);
		$function = "mahara_group_create_groups";
		$murl = $connexion->create_url($function);
		$resultPost = $connexion->httpPost($params, $murl);
	// '@' is use because json_decode some time cause fatal error
		$data = @json_decode($resultPost);
	// var_dump($data);
		$result = $DB->get_records_sql('SELECT * FROM {block_mahara_iena} WHERE course = ?', array($COURSE->id));
	// IF json_decode fail we stop all
		if ($data == null){
			echo 'error';
		} else {
		// if $data is array the api call is done (OK)
			if (is_array($data)) {
			// if the query is empty we add new line
				if (!$result) {
					echo "<pre>";
					$save = array();
					foreach ($data as $value) {
						$record = new stdClass();
						$record->course = $COURSE->id;
						$record->mahara_group_id = $value->id;
						$record->moodle_group_id = 0;
						foreach ($name_groups as $name_group) {
						// var_dump($name_group["group_name"]);
						// var_dump($name_group["group_id"]);
						// var_dump($value->name);
							if ( $value->name == $name_group["group_name"] ) {
								$record->moodle_group_id = $name_group["group_id"];
								break;
							}
						}
						array_push($save, $record);
					}
					echo "</pre>";
					$DB->insert_records('block_mahara_iena',$save,false);
					if ( substr($CFG->base_mahara, -1) !== "/" ) {
						$base = $CFG->base_mahara . "/";
					} else {
						$base = $CFG->base_mahara;
					}
					echo "<div class=\"alert alert-success\" role=\"alert\">"
					.get_string('bulk_group_confirmation', 'block_mahara_iena')
					."</div>";
				}
			// If the query is not empty we leave the choice to set the "code" value
			} elseif ($data->error) {
				echo "<div class=\"alert alert-danger\" role=\"alert\"> ".get_string('error', 'block_mahara_iena').$data->error_message."</div>";
			}
		}
	}
}

echo "<p><a href=\"".$CFG->wwwroot."/course/view.php?id=".$COURSE->id." \" class=\"btn btn-primary\" role=\"button\">".get_string('back_course', 'block_mahara_iena')."</a></p>";

echo $OUTPUT->footer();
