<?php

/**
 * block_career
 *
 *
 * @package    block_career
 * @category   block
 * @copyright  2018 Softia/Université lorraine
 * @author     vrignaud camille/ faouzi / Thomas Fradet
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

class block_career extends block_base
{
	/**
	 *
	 */
	public function init()
	{
		$this->title = get_string('title_plugin', 'block_career');
	}
	
	/**
	 * @return bool
	 */
	function instance_allow_multiple()
	{
		return false;
	}
	
	/**
	 * Set the applicable formats for this block to all
	 * @return array
	 */
	function applicable_formats()
	{
		return array('course' => true);
	}
	
	/**
	 * Allow the user to configure a block instance
	 * @return bool Returns true
	 */
	function instance_allow_config()
	{
		return true;
	}
	
	function has_config()
	{
		return true;
	}
	
	/**
	 * @return stdClass
	 */
	public function get_content()
	{
		global $CFG, $COURSE, $DB, $USER;
		
		if ($this->content !== null) {
			return $this->content;
		}
		if (empty($this->config)) {
			$this->config = new stdClass();
		}
		
		$request = $DB->get_records_sql('SELECT * FROM {block_career} WHERE course = ?', array($COURSE->id));
		// var_dump($request);
		$careerId = optional_param("career", NULL, PARAM_INT);
		$active = "";
		
		$this->content = new stdClass;
		
		$this->content->text = '';
		$this->content->text .= '<div class="list-group career-list-group font-weight-light">';

		$this->content->text .= '<a href="' . $CFG->wwwroot . '/course/view.php?id=' . $COURSE->id . '"  class="list-group-item list-group-item-success list-group-item-action" style="border-top-left-radius: .15rem; border-top-right-radius: .15rem; border-top: none;">Accueil du cours</a>';
		
		foreach ($request as $value) {
			
			// if (file_get_contents("$CFG->wwwroot/blocks/career/$value->image") != null) {
			// 	$image = "<img src='$CFG->wwwroot/blocks/career/$value->image' class='img_moodle_list'/>";
			// }
			
			if ($careerId != null && $careerId == $value->id) {
				$active = "active";
			} else {
				$active = "";
			}
			
			$this->content->text .= "<a href='{$CFG->wwwroot}/blocks/career/career_unit.php?career={$value->id}&courseid={$COURSE->id}' class='list-group-item list-group-item-action {$active}'>{$value->name}</a>";
			// $this->content->text .= "<a href='" . $CFG->wwwroot . "/blocks/career/career_unit.php?career=" . $value->id . "' class='full list-group-item list-group-item-action $active'><div class=' left img_center'>$image</div>
			// &nbsp&nbsp $value->name</a><br>";
		}
		
		if (has_capability('moodle/course:update', $context = context_course::instance($COURSE->id), $USER->id)) {
			$this->content->text .= '<a href="' . $CFG->wwwroot . '/blocks/career/career_list.php?courseid=' . $COURSE->id . '" " class="list-group-item list-group-item-primary list-group-item-action" style="border-bottom-left-radius: .15rem; border-bottom-right-radius: .15rem; border-bottom: none;">Gérer les parcours</a>';
		}

		$this->content->text .= '</div>';
		
		if (empty($request)) {
			$this->content->text .= "<p class='alert alert-secondary m-t-1'>" . get_string('any_carrer', 'block_career') . "</p>";
		}
		
		// $this->content->text .= "<p></p>";
		
		return $this->content;
	}
}

?>