<?php

require_once('../../config.php');
require_once('entity/block_career_ressource.php');
require_once('entity/block_career_section.php');

global $DB;

$careerId = required_param('career', PARAM_INT);
$courseid = required_param('courseid', PARAM_INT);

$url = new moodle_url('/blocks/career/career_unit.php', array('career' => $careerId, 'courseid' => $courseid));

$course = $DB->get_record('course', array('id' => $courseid), '*', MUST_EXIST);
require_login($course, false, NULL);

$PAGE->set_context(context_course::instance($courseid));
$PAGE->set_pagelayout('course');
$PAGE->set_url($url);

$requete = $DB->get_record_sql('SELECT * FROM {block_career} WHERE id = ?', array($careerId));

if ($requete == false) {

	$PAGE->set_title("Erreur");
	$PAGE->set_heading("Erreur");
	echo $OUTPUT->header();
	echo "<div class='alert alert-danger'>Le parcours demandé n'existe pas ou a été supprimé. </div>";
	echo $OUTPUT->footer();

} else {

	$PAGE->set_title(get_string('title_plugin', 'block_career'));

	$PAGE->set_heading($course->fullname);
	echo $OUTPUT->header();
	$PAGE->requires->js("/blocks/career/js/sect-descr.js");
	require_once('view/view_career_unit.php');
	echo $OUTPUT->footer();

}