<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Web service plugin related strings.
 *
 * @package   local_mootivated
 * @copyright 2016 Mootivation Technologies Corp.
 * @author    Mootivation Technologies Corp.
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

$string['addschool'] = '+ Add section';
$string['adminscanearn'] = 'Admins can earn coins';
$string['adminscanearn_desc'] = 'Tick this checkbox to allow administrators to earn coins.';
$string['cachedef_logininfo'] = 'The users\' remote login information.';
$string['cannotssotodasbhoardpermission'] = 'You do not have the permission to SSO to the dashboard.';
$string['cohortid'] = 'Choose cohort';
$string['cohortid_help'] = 'The cohort for which these settings will be used.';
$string['coins'] = 'Coins';
$string['collectionsettings'] = 'Coin collection';
$string['confirmdeleteschool'] = 'Are you sure you want to delete this section? This cannot be undone!';
$string['coursecompletionreward'] = 'Course completion reward';
$string['coursecompletionreward_help'] = 'When enabled, this determines the number of coins to award a student when they complete a course.';
$string['createschool'] = 'Create section';
$string['createschool_help'] = 'Create a new Mootivated section settings tab.';
$string['deleteschool'] = 'Delete section';
$string['dashboard'] = 'Dashboard';
$string['dashboardservice'] = 'Mootivated dashboard service';
$string['disabled'] = 'Disabled';
$string['disableuserimages'] = 'Error: Site has disabeld user images.';
$string['doitforme'] = 'Yes, do it for me!';
$string['enabled'] = 'Enabled';
$string['enablelocalnotifications'] = 'Enable notifications';
$string['enablelocalnotifications_desc'] = 'When enabled, users may receive Moodle notifications related to their Mootivated/Motrain experience. Note that this requires the _Send username_ option to be enabled.';
$string['eventbasedcheatguard'] = 'Event-based cheat guard';
$string['eventcoinsearned'] = 'Coins earned';
$string['failed'] = 'Error: Failed Uploading.';
$string['global'] = 'Global';
$string['invalidcoinvalueminmax'] = 'Invalid value, please use a number between {$a->min} and {$a->max}.';
$string['invalidssosecret'] = 'Inalid SSO secret';
$string['lastfullsync'] = 'Last full sync: {$a}';
$string['lastqueueuserspush'] = 'Last time users were manually queued: {$a}';
$string['leaderboard'] = 'Leaderboard';
$string['leaderboard_help'] = 'Whether users can access the leaderboard. This setting is controlled from the Mootivated/Motrain dashboard.';
$string['managemootivatedaddons'] = 'Manage add-ons';
$string['maxactions'] = 'Max. actions in time frame';
$string['maxactions_help'] = 'The maximum number of actions contributing coins in the time frame specified below.';
$string['messageprovider:itemredemption'] = 'Notification after self-redemption of a purchase';
$string['messageprovider:notification'] = 'Various Mootivated/Motrain notifications';
$string['modcompletionrewards'] = 'Completion rewards';
$string['modcompletionrewards_help'] = 'The settings below allow you to customize how many coins are given to students for completing activities of a certain type.

Keep in mind that changing those values can have an important impact on the game economy.';
$string['mootivated:earncoins'] = 'Earn coins';
$string['mootivated:login'] = 'Login on the Mootivated/Motrain app';
$string['mootivated:redeem_store_items'] = 'Redeem store items';
$string['mootivated:ssodashboard'] = 'Single Sign-On to dashboard';
$string['mootivated_web_services'] = 'Mootivated Web Services';
$string['mootivatedaddons'] = 'Mootivated add-ons';
$string['mootivatedrole'] = 'Mootivated User';
$string['mootivatedrolecreated'] = 'Mootivated User role created';
$string['mootivatedroledesc'] = 'The role to use for Mootivated users.';
$string['mootivatedsettings'] = 'Mootivated settings';
$string['motrainsidebartitle'] = 'Motrain';
$string['noaddoninstalled'] = 'No add-ons have been installed yet.';
$string['permissioneditownprofile'] = 'Error: User can\'t change their images.';
$string['pluginname'] = 'Mootivated';
$string['pointsimageurl'] = 'Points image';
$string['pointsimageurl_help'] = 'The image to use when displaying a number of _points_. Defaults to representing coins. This settings is controlled from the Mootivated/Motrain dashboard.';
$string['pointsterm'] = 'Points term';
$string['pointsterm_help'] = 'The term to use when representing a user\'s points. This defaults to _Coins_. This settings is controlled from the Mootivated/Motrain dashboard.';
$string['privacy:metadata:coinsgained'] = 'The information sent to an external server when a user gains coins.';
$string['privacy:metadata:coinsgained:coins'] = 'The number of coins to add to the user\'s wallet';
$string['privacy:metadata:coinsgained:firstname'] = 'The first name of the user (only when enabled by a Moodle administrator)';
$string['privacy:metadata:coinsgained:lastname'] = 'The last name of the user (only when enabled by a Moodle administrator)';
$string['privacy:metadata:coinsgained:pluginid'] = 'A unique identifier for the user';
$string['privacy:metadata:coinsgained:reason'] = 'The reason for the user to receive these coins, typically the Moodle event name';
$string['privacy:metadata:coinsgained:username'] = 'The username of the user (only when enabled by a Moodle administrator)';
$string['privacy:metadata:completion:userid'] = 'The user ID';
$string['privacy:metadata:completion:courseid'] = 'The course ID';
$string['privacy:metadata:completion:cmid'] = 'The course module ID';
$string['privacy:metadata:completion:state'] = 'The state of the completion';
$string['privacy:metadata:completion:timecreated'] = 'The time at which the completion was recorded';
$string['privacy:metadata:completion'] = 'The recorded states of activity completion';
$string['privacy:metadata:log:userid'] = 'The user ID';
$string['privacy:metadata:log:contextid'] = 'The context in which the event occurs';
$string['privacy:metadata:log:eventname'] = 'The name of the event';
$string['privacy:metadata:log:objectid'] = 'The ID of the object related to the event';
$string['privacy:metadata:log:relateduserid'] = 'The target user of this event';
$string['privacy:metadata:log:coins'] = 'The number of coins awarded for this event';
$string['privacy:metadata:log:timecreated'] = 'The date at which the event occured';
$string['privacy:metadata:log'] = 'Logs of events that happened in the last 24-48h and the coins awarded for them.';
$string['privacy:path:completion'] = 'Completion';
$string['privacy:path:logs'] = 'Logs';
$string['privatekey'] = 'Private Key';
$string['privatekey_help'] = 'Your private key for communicating with the Mootivated server.';
$string['pushallusers'] = 'Push all users';
$string['pushusersdesc'] = 'Pushing users happens automatically when sections are being used (see setting _usesections_). If sections are not used, or some users do not appear on the Motrain/Mootivated dashboard, you may manually push all relevant users by clicking the button below. Note that the users to push are added to a queue which is processed during cron, as such it may take several minutes for users to appear on the dashboard.';
$string['queueuserspush'] = 'Push users to dashboard';
$string['restprotocolenabled'] = 'REST protocol enabled';
$string['rewardmethod'] = 'Reward method';
$string['rewardmethod_help'] = 'This defines what method to use to reward students with coins.

**Event-based**

Rewards are given for actions taken throughout the course.

**Completion-based**

Rewards are given for completing activities, resources or courses.

**Completion-based, else event-based**

For activities or resources where completion is enabled, rewards will be given for completing the activity.
When completion is disabled, rewards will be given as per the \'Event-based\' method.

**Dashboard rules**

Rewards are based on the rules set on the Mootivated dashboard.';
$string['rewardmethod_completion'] = 'Completion-based';
$string['rewardmethod_completionelseevent'] = 'Completion-based, else event-based';
$string['rewardmethod_dashboardrules'] = 'Dashboard rules';
$string['rewardmethod_event'] = 'Event-based';
$string['rolesync'] = 'Role synchronisation.';
$string['scheduledorrunning'] = 'Scheduled or running...';
$string['schoolcreated'] = 'The section was successfully created.';
$string['schooldeleted'] = 'The section was deleted.';
$string['schoolid'] = 'Section ID';
$string['schoolid_help'] = 'Your sections\'s Mootivated ID';
$string['schooln'] = '[Section {$a}]';
$string['schoolsaved'] = 'The section was successfully saved.';
$string['sendusername'] = 'Send Username';
$string['sendusername_help'] = 'Store the username on the Mootivated server.';
$string['serverip'] = 'Server host';
$string['serverip_desc'] = 'The Motrain/Mootivated server host. Please refer to plugin setup guide.';
$string['settingssaved'] = 'Settings saved';
$string['setup'] = 'Set-up';
$string['setupnotcomplete'] = 'Whoops, there are missing bits which need to be set-up, would you like me to do it for you?';
$string['setupstatus'] = 'Set-up status';
$string['ssotodashboarddisabled'] = 'SSO to dashboard is not enabled.';
$string['ssosecret'] = 'SSO secret';
$string['ssosecret_desc'] = 'The secret to enable Single Sign-On between Moodle and the dashboard. This secret can be optained from the dashboard interface for your account. Leave this empty to disable SSO altogether. Note that users must have the permission _local/mootivated:ssodashboard_ and a user account identical email address on the dashboard.';
$string['subpluginstate'] = 'State';
$string['subpluginstate_desc'] = 'The state of the add-on. Some add-ons require some settings to be set before they can be enabled, or enable themselves.';
$string['subplugintype_mootivatedaddon'] = 'Add-on';
$string['subplugintype_mootivatedaddon_plural'] = 'Add-ons';
$string['svsleaderboard'] = 'Section vs. section leaderboard';
$string['svsleaderboard_desc'] = 'Whether users can access the section vs. section leaderboard. This setting is controlled from the Mootivated/Motrain dashboard.';
$string['syncnow'] = 'Sync now';
$string['taskdeleteoldlogs'] = 'Delete obsolete log entries.';
$string['taskrolesync'] = 'Sync the Mootivated User role.';
$string['tasknotifyusers'] = 'Send notifications to users.';
$string['taskpushusers'] = 'Push selected users to the Motrain/Mootivated dashboard.';
$string['timebetweensameactions'] = 'Time between identical actions';
$string['timebetweensameactions_help'] = 'The time which needs to elapse before an action which already occured can contribute coins again.';
$string['timeframeformaxactions'] = 'Time frame for max. actions';
$string['timeframeformaxactions_help'] = 'The time frame (in minutes) during which a maximum of actions are contributing coins (as specified above).';
$string['unknownevent'] = 'Unknown event: {$a}';
$string['usersinqueue'] = 'Users currently in queue: {$a}';
$string['usesections'] = 'Use sections';
$string['usesections_desc'] = 'When turned on, users can be organised in different sections using cohorts.';
$string['userecommendedsettings'] = 'Use recommended settings';
$string['webservicesenabled'] = 'Web services enabled';
