# Bloc Connecteur Mahara iENA

A partir d'un espace de cours MOODLE, ce plugin permet de créer un groupe dans une plateforme Mahara liée et d'y inscrire les participants du cours. 

This plugin create a group in Mahara from a Moodle course and set the members of the Mahara group from the Moodle course participants. 

## Auteurs

- Vrignaud Camille <cvrignaud@softia.fr>
- Lebeau Michaël <mlebeau@softia.fr>
- Thomas Fradet <thomas.fradet@univ-lorraine.fr>

## Compatibility

MOODLE 3.7

## Contribution

Contributors are welcome ! Please contact <iena-contact@univ-lorraine.fr>. 

## Contact

Pour assistance interne (Univesité de Lorraine) : <https://helpdesk.univ-lorraine.fr>. 

Pour tout autre question : <iena-contact@univ-lorraine.fr>. 

Other : <iena-contact@univ-lorraine.fr>. 

## Activation et paramétrage

Application folder path and name _have to be_ : `/blocks/mahara_iena`.

Le fonctionnement du plugin nécessite : 

1. D'avoir liées les plateformes MOODLE et MAHARA pour la création de compte et l'autentification (en Mnet). Cf. documentation de Mahara. 
2. D'avoir un utilisateur MAHARA disposant d'un token d'API lié aux services exploités par ce plugin. 

Le second point spécifique à ce plugin est documenté ici : [Documentation bloc Mahara iENA](iena-mahara-link-block-documentation.pdf). 

## Fonctionnalités

L'enseignant peut activer le bloc et lier un cours à un groupe Mahara. Les étudiants pourront accéder au groupe Mahara en un clic. Si le cours Moodle comporte des groupes, alors un groupe Mahara peut être créé pour chaque groupe Moodle du cours. Attention, ce choix doit être fait à l'activation et est définitif. Il n'est pas possible de lier à un cours Moodle un groupe Mahara existant. 

La connexion, l'éventuelle création de compte utilisateur et la création de groupe sur Mahara est prise en charge par le plugin. Mais le lien entre les deux plateformes doit préalablement exister (paramétrage préalable). 

L'enseignant éditeur peut s'inscrire dans tous les groupes Mahara liés à son cours (créés depuis son cours) en un clic. 

Usecase : place 3 groups with 1 teacher and n students in a moodle course and create in one click 3 mahara groups where each teacher will be able to administrate his mahara group and each student will be able to access the right group in mahara, based on the moodle group. 

NB : les groupes et les inscription sur Mahara et dans les groupes Mahara ne sont pas créées immédiatement, mais au fur et à mesure des demandes d'accès. C'est au moment où un étudiant cliquera sur le bouton du block pour se rendre pour la première fois dans son groupe que le groupe sera créé au besoin, l'étudiant sera inscrit sur Mahara au besoin et dans le groupe au besoin. 

NB 2 : la connexion préalablement existante entre les deux plateforme doit être en Mnet. 

NB 3 : il est fortement conseillé de prendre garde aux méthodes d'authentification utilisées dans Mahara pour ne pas créer de duplicatats de comptes utilisateur, cf. documentation de Mahara. 

NB 4 : le nom du groupe Mahara généré contient le nom du cours et l'utilisateur de l'API y est inscrit. Ceci devrait permettre de supprimer des groupes inactifs automatiquement pour des opérations de nettoyage. 

---

By clicking a button in this block, editing teachers can create one mahara group within every student enrolled in the moodle course will become members of the mahara group. Moodle course enrolled users with the role of "teacher" and "editingteacher" will have the role of "admin" in the mahara group, other will be simple members. 

After group creation, every user enrolled in this moodle cours will be able to see and click a button witch grand access to the mahara group previously created. 

Alternatively, if they are user groups within the moodle cours, teacher can choose to create one mahara group per moodle course group. In this case, students and teachers will be enroll in the mahara group witch correspond to they moodle group. 

Usecase : place 3 groups with 1 teacher and n students in a moodle course and create in one click 3 mahara groups where each teacher will be able to administrate his mahara group and each student will be able to access the right group in mahara, based on the moodle group. 

## Roadmap

- Liaison d'un groupe Mahara existant au cours
- Pré-création de tous les groupes Mahara liés au cours en un clic sans inscription de l'enseignant dans tous ces groupes
- Management des groupes Mahara liés au cours (liaison d'un groupe Mahara existant à un groupe du cours ou au cours, suppression d'un groupe Mahara préalablement lié au cours)
- Passage possible du mode un groupe Mahara pour tout le cours Moodle à un groupe Mahara par groupe Moodle et vice-versa. 
- Fonctionnement avec LTI au lien de Mnet (à l'étude) : help wanted !!!
